Bug 128698 - i830 DRM module error causes X server to crash
i830 DRM module error causes X server to crash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-28 06:29 EDT by Mark A J Ashdown
Modified: 2015-01-04 17:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark A J Ashdown 2004-07-28 06:29:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
Running on Dell Latitude X200 laptop (contains Intel 830MG chipset).

The X server crashes, a short error message from the i830 drm module
is printed on the text console (and also sent to /var/log/messages,
see below) and then the X server restarts with the GDM login screen.
Any unsaved data in open applications is lost.

The crash happens seemingly at random, so it is difficult to reproduce
with any certainty.

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3, xorg-x11-6.7.0-5

How reproducible:
Sometimes

Steps to Reproduce:
1. Log in via GDM
2. Do stuff and wait for X server to crash

    

Actual Results:  X server crashes and then restarts with GDM login.

Expected Results:  Nothing.

Additional info:

There is a short, cryptic message in /var/log/messages:

Jul 27 22:41:24 dylan kernel: [drm:i830_wait_ring] *ERROR* space:
131056 wanted 131064
Jul 27 22:41:24 dylan kernel: [drm:i830_wait_ring] *ERROR* lockup
Comment 1 Warren Togami 2004-07-28 06:32:40 EDT
Please try this with the latest development kernel.  Any different
behavior?
Comment 2 Carrie Knox 2004-08-03 14:30:52 EDT
Hello, 
On my FC2 system, X will consistently hang with these errors when
running the jigglypuff XScreenSaver. 
Aug  3 09:33:03 localhost kernel: [drm:i830_wait_ring] *ERROR* space:
126384 wanted 131064
Aug  3 09:33:03 localhost kernel: [drm:i830_wait_ring] *ERROR* lockup

Running Fedora Core 2 with  
2.6.7-1.501 #1 Fri Jul 30 08:34:23 EDT 2004 i686
and  xorg-x11-6.7.0-5

This occurs on a Dell GX270 with the Intel 865 Chipset.  Have
865patch-0.3-2 installed and run `/usr/sbin/865patch 32000` at system
startup.
Comment 3 Mike Cohler 2004-09-04 03:30:53 EDT
I am running FC2 on a Dell Dimension 2400 with the 845 chipset (i.e.
no 3-d graphics support). Since installing FC2 there have been X
lockups at least once a day at random times with various 3-d
screensavers running. The net result is that the screen is hung and
there is no way to get control back from the keyboard, but the system
is still running and it is possible to ssh in as normal.  The only
recovery  as far as I can tell is to re-boot.

Typical /var/log/messages entries are as:
Sep  2 22:47:23 home1 kernel: [drm:i830_wait_ring] *ERROR* space: 129860
wanted
131064
Sep  2 22:47:23 home1 kernel: [drm:i830_wait_ring] *ERROR* lockup
Sep  2 22:47:28 home1 kernel: [drm:i830_wait_ring] *ERROR* space: 129844
wanted
131064
Sep  2 22:47:28 home1 kernel: [drm:i830_wait_ring] *ERROR* lockup
Sep  2 22:47:30 home1 udev[18027]: removing device node '/udev/vcs7'
Sep  2 22:47:30 home1 udev[18038]: removing device node '/udev/vcsa7'
Sep  2 22:47:33 home1 kernel: [drm:i830_wait_ring] *ERROR* space: 129836
wanted
131064
Sep  2 22:47:33 home1 kernel: [drm:i830_wait_ring] *ERROR* lockup
Sep  2 22:47:43 home1 udev[18165]: removing device node '/udev/vcs7'
Sep  2 22:47:43 home1 udev[18171]: removing device node '/udev/vcsa7'
Sep  2 22:47:53 home1 udev[18297]: removing device node '/udev/vcs7'
Sep  2 22:47:53 home1 udev[18303]: removing device node '/udev/vcsa7'

Turning the screensaver off has so far prevented recurrence. I did try
commenting out the load "dri" line is /etc/X11/xorg.conf, and also
switching off acpi as a test but the problem persisted.

I am running kernel kernel-2.6.8-1.521

This is essentially the same error as far as I can tell as in the
comment #2 from Carrie Knox

Mike Cohler
Comment 4 Dave Jones 2005-04-16 01:42:55 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.